package com.zjrs.ggfw.rlzysc.dto.dwzp;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

public class DwzpZwxxDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "职位信息流水号")
	private String rsrlzyzwxxlsh;

	@ApiModelProperty(value = "企业信息流水号")
    @NotBlank(message = "企业信息流水号不能为空")
    private String rsrlzyqyxxlsh;

	@ApiModelProperty(value = "招聘岗位编号")
    private String zpgwbh;

	@ApiModelProperty(value = "职位名称")
	@Size(min=0, max=100, message="职位名称最多只能输入100个字符或汉字")
    private String zwmc;

	@ApiModelProperty(value = "薪资")
    private String xz;

	@ApiModelProperty(value = "招聘人数")
	@Size(min=0, max=10, message="招聘人数最多只能输入10位数字")
    private String zprs;

	@ApiModelProperty(value = "联系地址")
	@Size(min=0, max=50, message="联系地址最多只能输入50个字符或汉字")
    private String lxdz;

	@ApiModelProperty(value = "联系电话")
    private String lxdh;

	@ApiModelProperty(value = "单位名称")
    private String dwmc;

	@ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

	@ApiModelProperty(value = "注册地点")
    private String zcdd;

	@ApiModelProperty(value = "注册地点行政区划代码")
    private String zcddxzqudm;

	@ApiModelProperty(value = "单位类型")
    private String dwlx;

	@ApiModelProperty(value = "经济类型")
    private String jjlx;

	@ApiModelProperty(value = "隶属关系")
    private String lsgx;

	@ApiModelProperty(value = "所属行业")
    private String sshy;

	@ApiModelProperty(value = "有效状态")
    private String tsyxbz;

	@ApiModelProperty(value = "单位地址")
    private String dwdz;

	@ApiModelProperty(value = "联系人")
    private String lxr;

	@ApiModelProperty(value = "招聘方式")
    private String zpfs;

	@ApiModelProperty(value = "是否异地招聘人员")
    private String sfydzpry;

	@ApiModelProperty(value = "招聘工种")
    private String zpgz;

	@ApiModelProperty(value = "工作性质")
    private String gzxz;

	@ApiModelProperty(value = "月薪")
    private String yx;

	@ApiModelProperty(value = "工作描述")
	@Size(min=0, max=500, message="工作描述最多只能输入500个字符或汉字")
    private String gzms;

	@ApiModelProperty(value = "文化程度")
    private String whcd;

	@ApiModelProperty(value = "工作经验")
    private String gzjy;

	@ApiModelProperty(value = "人数(不限性别)")
    private String rs ;

	@ApiModelProperty(value = "人数(男)")
	@Size(min=0, max=10, message="人数(男)最多只能输入10位数字")
    private String rsnan;

	@ApiModelProperty(value = "人数(女)")
	@Size(min=0, max=10, message="人数(女)最多只能输入10位数字")
    private String rsnv;

	@ApiModelProperty(value = "年龄")
	@Size(min=0, max=10, message="年龄最多只能输入10位字符或汉字")
    private String nl;

	@ApiModelProperty(value = "视力")
	@Size(min=0, max=10, message="视力最多只能输入10位字符或汉字")
    private String sl;

	@ApiModelProperty(value = "户口要求")
    private String hkyq;

	@ApiModelProperty(value = "身高(男)")
	@Size(min=0, max=10, message="身高(男)最多只能输入10位字符")
    private String sgnan;

	@ApiModelProperty(value = "身高(女)")
	@Size(min=0, max=10, message="身高(女)最多只能输入10位字符")
    private String sgnv;

	@ApiModelProperty(value = "试用期(月)")
	@Size(min=0, max=2, message="试用期(月)最多只能输入2位字符")
    private String syq;

	@ApiModelProperty(value = "试用期工资")
	@Size(min=0, max=6, message="试用期工资最多只能输入6位字符")
    private String syqgz;

	@ApiModelProperty(value = "用工形式")
    private String ygxs;

	@ApiModelProperty(value = "工作环境")
    private String gzhj;

	@ApiModelProperty(value = "招收对象")
    private String zsdx;

	@ApiModelProperty(value = "招聘会")
    private String zph;

	@ApiModelProperty(value = "单位联系人")
    private String dwlxr;

	@ApiModelProperty(value = "电子邮箱")
    private String dzyx;
	
	@ApiModelProperty(value = "工作地点")
	@Size(min=0, max=100, message="工作地点最多只能输入100个字符或汉字")
    private String gzdd;

	@ApiModelProperty(value = "福利待遇")
	private String fldy;

	@ApiModelProperty(value = "其他福利待遇")
	private String qtfldy;

	@ApiModelProperty(value = "行政区划")
	private String xzqh;

	@ApiModelProperty(value = "行政区划名称")
	private String xzqhname;

	@ApiModelProperty(value = "经度")
	private Long lng;//经度

	@ApiModelProperty(value = "纬度")
	private Long lat;//纬度

	private String qyssr;

	public String getQyssr() {
		return qyssr;
	}

	public void setQyssr(String qyssr) {
		this.qyssr = qyssr;
	}

	public String getRsrlzyzwxxlsh() {
		return rsrlzyzwxxlsh;
	}

	public void setRsrlzyzwxxlsh(String rsrlzyzwxxlsh) {
		this.rsrlzyzwxxlsh = rsrlzyzwxxlsh;
	}

	public String getRsrlzyqyxxlsh() {
		return rsrlzyqyxxlsh;
	}

	public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
		this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
	}

	public String getZpgwbh() {
		return zpgwbh;
	}

	public void setZpgwbh(String zpgwbh) {
		this.zpgwbh = zpgwbh;
	}

	public String getZwmc() {
		return zwmc;
	}

	public void setZwmc(String zwmc) {
		this.zwmc = zwmc;
	}

	public String getXz() {
		return xz;
	}

	public void setXz(String xz) {
		this.xz = xz;
	}

	public String getZprs() {
		return zprs;
	}

	public void setZprs(String zprs) {
		this.zprs = zprs;
	}

	public String getLxdz() {
		return lxdz;
	}

	public void setLxdz(String lxdz) {
		this.lxdz = lxdz;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getTyshxydm() {
		return tyshxydm;
	}

	public void setTyshxydm(String tyshxydm) {
		this.tyshxydm = tyshxydm;
	}

	public String getZcdd() {
		return zcdd;
	}

	public void setZcdd(String zcdd) {
		this.zcdd = zcdd;
	}

	public String getZcddxzqudm() {
		return zcddxzqudm;
	}

	public void setZcddxzqudm(String zcddxzqudm) {
		this.zcddxzqudm = zcddxzqudm;
	}

	public String getDwlx() {
		return dwlx;
	}

	public void setDwlx(String dwlx) {
		this.dwlx = dwlx;
	}

	public String getJjlx() {
		return jjlx;
	}

	public void setJjlx(String jjlx) {
		this.jjlx = jjlx;
	}

	public String getLsgx() {
		return lsgx;
	}

	public void setLsgx(String lsgx) {
		this.lsgx = lsgx;
	}

	public String getSshy() {
		return sshy;
	}

	public void setSshy(String sshy) {
		this.sshy = sshy;
	}

	public String getTsyxbz() {
		return tsyxbz;
	}

	public void setTsyxbz(String tsyxbz) {
		this.tsyxbz = tsyxbz;
	}

	public String getDwdz() {
		return dwdz;
	}

	public void setDwdz(String dwdz) {
		this.dwdz = dwdz;
	}

	public String getLxr() {
		return lxr;
	}

	public void setLxr(String lxr) {
		this.lxr = lxr;
	}

	public String getZpfs() {
		return zpfs;
	}

	public void setZpfs(String zpfs) {
		this.zpfs = zpfs;
	}

	public String getSfydzpry() {
		return sfydzpry;
	}

	public void setSfydzpry(String sfydzpry) {
		this.sfydzpry = sfydzpry;
	}

	public String getZpgz() {
		return zpgz;
	}

	public void setZpgz(String zpgz) {
		this.zpgz = zpgz;
	}

	public String getGzxz() {
		return gzxz;
	}

	public void setGzxz(String gzxz) {
		this.gzxz = gzxz;
	}

	public String getYx() {
		return yx;
	}

	public void setYx(String yx) {
		this.yx = yx;
	}

	public String getGzms() {
		return gzms;
	}

	public void setGzms(String gzms) {
		this.gzms = gzms;
	}

	public String getWhcd() {
		return whcd;
	}

	public void setWhcd(String whcd) {
		this.whcd = whcd;
	}

	public String getGzjy() {
		return gzjy;
	}

	public void setGzjy(String gzjy) {
		this.gzjy = gzjy;
	}

	public String getRs() {
		return rs;
	}

	public void setRs(String rs) {
		this.rs = rs;
	}

	public String getRsnan() {
		return rsnan;
	}

	public void setRsnan(String rsnan) {
		this.rsnan = rsnan;
	}

	public String getRsnv() {
		return rsnv;
	}

	public void setRsnv(String rsnv) {
		this.rsnv = rsnv;
	}

	public String getNl() {
		return nl;
	}

	public void setNl(String nl) {
		this.nl = nl;
	}

	public String getSl() {
		return sl;
	}

	public void setSl(String sl) {
		this.sl = sl;
	}

	public String getHkyq() {
		return hkyq;
	}

	public void setHkyq(String hkyq) {
		this.hkyq = hkyq;
	}

	public String getSgnan() {
		return sgnan;
	}

	public void setSgnan(String sgnan) {
		this.sgnan = sgnan;
	}

	public String getSgnv() {
		return sgnv;
	}

	public void setSgnv(String sgnv) {
		this.sgnv = sgnv;
	}

	public String getSyq() {
		return syq;
	}

	public void setSyq(String syq) {
		this.syq = syq;
	}

	public String getSyqgz() {
		return syqgz;
	}

	public void setSyqgz(String syqgz) {
		this.syqgz = syqgz;
	}

	public String getYgxs() {
		return ygxs;
	}

	public void setYgxs(String ygxs) {
		this.ygxs = ygxs;
	}

	public String getGzhj() {
		return gzhj;
	}

	public void setGzhj(String gzhj) {
		this.gzhj = gzhj;
	}

	public String getZsdx() {
		return zsdx;
	}

	public void setZsdx(String zsdx) {
		this.zsdx = zsdx;
	}

	public String getZph() {
		return zph;
	}

	public void setZph(String zph) {
		this.zph = zph;
	}

	public String getDwlxr() {
		return dwlxr;
	}

	public void setDwlxr(String dwlxr) {
		this.dwlxr = dwlxr;
	}

	public String getDzyx() {
		return dzyx;
	}

	public void setDzyx(String dzyx) {
		this.dzyx = dzyx;
	}

	public String getGzdd() {
		return gzdd;
	}

	public void setGzdd(String gzdd) {
		this.gzdd = gzdd;
	}

	public String getFldy() {
		return fldy;
	}

	public void setFldy(String fldy) {
		this.fldy = fldy;
	}

	public String getQtfldy() {
		return qtfldy;
	}

	public void setQtfldy(String qtfldy) {
		this.qtfldy = qtfldy;
	}

	public String getXzqh() {
		return xzqh;
	}

	public void setXzqh(String xzqh) {
		this.xzqh = xzqh;
	}

	public String getXzqhname() {
		return xzqhname;
	}

	public void setXzqhname(String xzqhname) {
		this.xzqhname = xzqhname;
	}

	public Long getLng() {
		return lng;
	}

	public void setLng(Long lng) {
		this.lng = lng;
	}

	public Long getLat() {
		return lat;
	}

	public void setLat(Long lat) {
		this.lat = lat;
	}
}

